%% L.D. 10-05-2012 - This script creates the contrast matrix which contains
% the geometrical distribution of each medium, i.e. Medium 1,2,3,4 and 5. 
% Medium 0 represents the background medium
close all
clear all

% this values has to be the same of the 3D domain which is generated by the
% fortran code
M=64;
N=32;
O=126;
% matrix initialization
L=zeros(M,N,O);

R1=0.03;
R2=0.05; 

% parameters initialization. This values have to be the same as for the
% input file used for the fortran program
Fnyq=4.5;  % maximum simulated frequency 
f0=1e6;    % fundamental frequency 
c0=1482;   % speed of sound of the backgrounf medium
dx=c0/(2*Fnyq*f0);
% axis generation
x=(-M/2)*dx:dx:((M/2)-1)*dx;
y=(-N/2)*dx:dx:((N/2)-1)*dx;
z=0:dx:((O-1))*dx;

% matrix generation
 for i=1:M
     for j=1:N
         for k=1:O
             
             % inside this lood all possible shapes can be generated. A
             % specific value from 0 to 5 will be interpreted by the
             % fortran code as a medium with specifi characteristics as
             % specified in in the input file
             %% Cubes
             
             if (((z(k)>=(0.01))&&(z(k)<=(0.022)))&&((x(i)>=(-0.01))&&(x(i)<=(0.01))))
               L(i,j,k)=3;
             end
             
%              if (((z(k)>=(0.015))&&(z(k)<=(0.017)))&&((x(i)>=(-0.001))&&(x(i)<=(0.001))))
%                L(i,j,k)=2;
%              end
%              
%              if (((z(k)>=(0.020))&&(z(k)<=(0.022)))&&((x(i)>=(-0.001))&&(x(i)<=(0.001))))
%                L(i,j,k)=3;
%              end
%              
%              if (((z(k)>=(0.025))&&(z(k)<=(0.027)))&&((x(i)>=(-0.001))&&(x(i)<=(0.001))))
%                L(i,j,k)=4;
%              end
             
            

         end
     end
 end
 
% plots a cross section of the contrast 
imagesc(z,x,squeeze(L(:,round(N/2),:))) 
axis image
% export the finel in .bin format
[fid,msg] = fopen('matrixcontrastinput.bin','w','l');    %w = read access, l = little endian byte order
A=L;
fwrite(fid,A,'double');
fclose(fid)
